Home | About | Sematext search-lucene.com search-hadoop.com
 Search Hadoop and all its subprojects:

Switch to Threaded View
Kafka >> mail # user >> Kafka 0.8 Maven and IntelliJ


Copy link to this message
-
Re: Kafka 0.8 Maven and IntelliJ
My Idea 12.1.4 with  sbt-idea plugin version works.
On Fri, Jun 14, 2013 at 12:07 PM, Jun Rao <[EMAIL PROTECTED]> wrote:

> Thanks. Which version of Intellij are you using?
>
> Jun
>
>
> On Thu, Jun 13, 2013 at 10:20 AM, Dragos Manolescu <
> [EMAIL PROTECTED]> wrote:
>
> > Hmm, I've just pulled 0.8.0-beta1-candidate1, removed .idea* from my
> > top-level directory, executed gen-idea, and then opened and built the
> > project in IntelliJ w/o problems.
> >
> > I noticed that the build uses an old version of the sbt-idea plugin:
> >
> >         addSbtPlugin("com.github.mpeltonen" % "sbt-idea" % "1.2.0")
> >
> > The latest release is 1.4.0, perhaps upgrading would help?
> >
> >
> > -Dragos
> >
> >
> >
> > On 6/12/13 9:03 PM, "Jun Rao" <[EMAIL PROTECTED]> wrote:
> >
> > >Dragos,
> > >
> > >After the sbt upgrade 3-4 months ago, some of us are struggling to get
> the
> > >Kafka code cleanly loaded to Intellij after doing "./sbt gen-idea". Were
> > >you able to do that successfully?
> > >
> > >Thanks,
> > >
> > >Jun
> > >
> > >
> > >On Wed, Jun 12, 2013 at 10:45 AM, Dragos Manolescu <
> > >[EMAIL PROTECTED]> wrote:
> > >
> > >> For IntelliJ I've always used the gen-idea sbt plugin:
> > >> https://github.com/mpeltonen/sbt-idea
> > >>
> > >> -Dragos
> > >>
> > >>
> > >> On 6/11/13 10:41 PM, "Jason Rosenberg" <[EMAIL PROTECTED]> wrote:
> > >>
> > >> >Try the one under core/targets?
> > >> >
> > >> >
> > >> >On Tue, Jun 11, 2013 at 3:34 PM, Florin Trofin <[EMAIL PROTECTED]>
> > >>wrote:
> > >> >
> > >> >> I downloaded the latest 0.8 snapshot and I want to build using
> Maven:
> > >> >>
> > >> >> ./sbt make-pom
> > >> >>
> > >> >> Generates a bunch of pom.xml files but when I try to open one of
> > >>them in
> > >> >> IntelliJ they are not recognized. Do I need to do any other step?
> > >>Which
> > >> >> pom do I need to open?
> > >> >>
> > >> >> Thanks!
> > >> >>
> > >> >> Florin
> > >> >>
> > >> >>
> > >>
> > >>
> >
> >
>